<?xml version="1.0" encoding="gb2312" ?>
<xs:schema targetNamespace="http://www.h3c.com/netconf/config:1.0"
                  elementFormDefault="qualified"
                  xmlns="http://www.h3c.com/netconf/config:1.0"
                  xmlns:base="http://www.h3c.com/netconf/base:1.0"
                  xmlns:netconf ="urn:ietf:params:xml:ns:netconf:base:1.0"
                  xmlns:xs="http://www.w3.org/2001/XMLSchema">
  <xs:import namespace="http://www.h3c.com/netconf/base:1.0" schemaLocation="basetype.xsd"></xs:import>
  <xs:import schemaLocation="netconf.xsd" namespace="urn:ietf:params:xml:ns:netconf:base:1.0"></xs:import>
  <xs:element name="IPV6ADDRESS">
    <xs:complexType>
      <xs:choice maxOccurs="unbounded">
        <xs:element name="Ipv6AddressesConfig" minOccurs="0">
          <xs:complexType>
            <xs:choice maxOccurs="unbounded">
              <xs:element name="AddressEntry" minOccurs="0" maxOccurs="unbounded">
                <xs:complexType>
                  <xs:all>
                    <xs:element name="IfIndex"  minOccurs="0"  type="base:NameAndIndexUnion" nillable="true">
                    </xs:element>
                    <xs:element name="Ipv6Address" minOccurs="0" type="base:Ipv6Address" nillable="true">
                    </xs:element>
                    <xs:element name="AddressOrigin" minOccurs="0" nillable="true">
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:enumeration value="1"/>     
                            <xs:enumeration value="2"/>
                            <xs:enumeration value="3"/>  
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="Ipv6PrefixLength" minOccurs="0" nillable="true">
                      <xs:complexType>
			                  <xs:simpleContent>
			                    <xs:restriction base="base:UnsignedInteger32">
			                       <xs:minInclusive value="1"></xs:minInclusive>
			                       <xs:maxInclusive value="128"></xs:maxInclusive>
			                    </xs:restriction>
			                  </xs:simpleContent>
		                  </xs:complexType>
                    </xs:element>
                    <xs:element name="AnycastFlag" minOccurs="0" type="base:Boolean" nillable="true">
                    </xs:element>
                  </xs:all>
                  <xs:attributeGroup ref="base:RowAttributeGroup"></xs:attributeGroup>
                </xs:complexType>
              </xs:element>
            </xs:choice>
            <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
          </xs:complexType>
        </xs:element>
        
        <xs:element name="Ipv6AddressesAuto" minOccurs="0">
          <xs:complexType>
            <xs:choice maxOccurs="unbounded">
              <xs:element name="AutoAddress" minOccurs="0" maxOccurs="unbounded">
                <xs:complexType>
                  <xs:all>
                    <xs:element name="IfIndex" minOccurs="0" type="base:NameAndIndexUnion" nillable="true">
                    </xs:element> 
                    <xs:element name="Auto" minOccurs="0" type="base:Boolean" nillable="true">
                    </xs:element> 
                    <xs:element name="AutoLinkLocal" minOccurs="0" type="base:Boolean" nillable="true">
                    </xs:element>                                                                                       
                  </xs:all>
                  <xs:attributeGroup ref="base:RowAttributeGroup"></xs:attributeGroup>
                </xs:complexType>
              </xs:element>
            </xs:choice>
            <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
          </xs:complexType>
        </xs:element> 
        
      </xs:choice>
      <xs:attributeGroup ref="base:NodeAttributeGroup"></xs:attributeGroup>
    </xs:complexType>
  </xs:element>
</xs:schema>

